pasn.h File Reference
`#include <ptlib/sockets.h>`

Go to the source code of this file.

## Classes

class | PASNObject
| This class defines the common behviour of all ASN objects. More...
class | PASNInteger
| A descendant of PASNObject which is a simple ASN integer type. More...
class | PASNString
| A descendant of PASNObject which is a simple ASN OctetStr type. More...
class | PASNIPAddress
| A descendant of PASNObject which is an IP address type. More...
class | PASNUnsignedInteger
| A descendant of PASNObject which is an unsigned ASN integer type. More...
class | PASNTimeTicks
| A descendant of PASNObject which is an unsigned ASN time tick type. More...
class | PASNCounter
| A descendant of PASNObject which is an unsigned ASN counter type. More...
class | PASNGauge
| A descendant of PASNObject which is an unsigned ASN guage type. More...
class | PASNObjectID
| A descendant of PASNObject which is an unsigned ASN ObjID type. More...
class | PASNNull
| A descendant of PASNObject which is the NULL type. More...
class | PASNSequence
| A descendant of PASNObject which is the complex sequence type. More...

## Typedefs

typedef PInt32 | PASNInt
typedef DWORD | PASNUnsigned
typedef DWORD | PASNOid

## Functions

| PARRAY (PASNObjectArray, PASNObject)

## Typedef Documentation

## PASNInt

typedef PInt32 PASNInt

## PASNOid

typedef DWORD PASNOid

## PASNUnsigned

typedef DWORD PASNUnsigned

## Function Documentation

## PARRAY()

PARRAY | ( | PASNObjectArray | ,
|  | PASNObject |
| ) |  |